@Echo off
REM **********************************************
REM Add Season and Episode Info to .NFO
REM **********************************************
goto %1
:all
setlocal ENABLEDELAYEDEXPANSION
set /P "episode=Please enter the episode number to start at minus 1: "
for /F "tokens=1,2,3,4,5,6,7 delims=-" %%a in ('dir /b /o *.mp4 *.mkv *.mov *.wmv *.avi') do (
set /A episode=episode+1
set year=%%b
set month=%%c
set day=%%d
set numbers=%%e
set actor=%%f
set title=%%g
Echo Fixing %%a-%%b-%%c-%%d-%%e-%%f-!title:~0,-4!.nfo ...
xml ed -L -a episodedetails/title -t elem -n season -v !year:~1,4! "%%a-%%b-%%c-%%d-%%e-%%f-!title:~0,-4!.nfo"
xml ed -L -a episodedetails/season -t elem -n episode -v !episode! "%%a-%%b-%%c-%%d-%%e-%%f-!title:~0,-4!.nfo"
xml ed -L -a episodedetails/title -t elem -n season -v !year:~1,4! "%%~na.nfo"
xml ed -L -a episodedetails/season -t elem -n episode -v !episode! "%%~na.nfo"
)
goto end
:one
setlocal ENABLEDELAYEDEXPANSION
set /P "episode=Please enter the episode number to start at minus 1: "
for /F "tokens=1,2,3,4,5,6 delims=-" %%a in ('dir /b /o *.mp4 *.mkv *.mov *.wmv *.avi') do (
set /A episode=episode+1
set year=%%b
set month=%%c
set day=%%d
set param=%%f
Echo Fixing %%a-%%b-%%c-%%d-%%e-!param:~0,-4!.nfo ...
xml ed -L -a episodedetails/title -t elem -n season -v !year:~1,4! "%%a-%%b-%%c-%%d-%%e-!param:~0,-4!.nfo"
xml ed -L -a episodedetails/season -t elem -n episode -v !episode! "%%a-%%b-%%c-%%d-%%e-!param:~0,-4!.nfo"
)
goto end
:nodate
setlocal ENABLEDELAYEDEXPANSION
set /P "season=Please enter the season number: "
set /P "episode=Please enter the episode number to start at minus 1: "
for %%a in (*.nfo) do (
set /A episode=episode+1
xml ed -L -a episodedetails/title -t elem -n season -v !season! "%%~na.nfo"
xml ed -L -a episodedetails/season -t elem -n episode -v !episode! "%%~na.nfo"
)
goto end
:end
Echo.
Echo Season and Episode nodes added.
Echo.
pause